package edu.sc.seis.gee.task;

import java.util.Map;
import org.apache.log4j.Category;
import edu.sc.seis.gee.CommonAccess;
import edu.sc.seis.gee.configurator.ConfigurationException;


/**
 * ChangeActivityTask.java
 *
 *
 * Created: Tue Jul  2 11:27:51 2002
 *
 * @author <a href="mailto:">Philip Crotwell</a>
 * @version
 */

public class ChangeActivityTask implements Task {
    public void configure(java.util.Map params) throws ConfigurationException {
        configParams = params;
    }

    public void invoke() throws Exception {
        final String activityId = (String)configParams.get("activityId");
        CommonAccess.getCommonAccess().resetActivity(activityId);
    }

    public void destroy(){}

    Map configParams;

    static Category logger = Category.getInstance(ChangeActivityTask.class.getName());

}// ChangeActivityTask
